Package com.google.android.exoplayer2.drm

## Class UnsupportedMediaCrypto

- java.lang.Object
- - com.google.android.exoplayer2.drm.UnsupportedMediaCrypto

- All Implemented Interfaces:
    `ExoMediaCrypto`

      public final class UnsupportedMediaCrypto
      extends Object
      implements ExoMediaCrypto

  `ExoMediaCrypto` type that cannot be used to handle any type of protected content.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnsupportedMediaCrypto()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedMediaCrypto

          public UnsupportedMediaCrypto()